Bug 946868 - [abrt] gparted-0.12.0-4.fc18: ped_assert: Process /usr/sbin/gpartedbin was killed by signal 6 (SIGABRT)
Summary: [abrt] gparted-0.12.0-4.fc18: ped_assert: Process /usr/sbin/gpartedbin was ki...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4e61ff71e1d5ddd07b428f10622...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-31 14:29 UTC by sm301
Modified: 2013-07-20 09:49 UTC (History)
1 user (show)

Fixed In Version: gparted-0.16.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-20 09:43:07 UTC


Attachments (Terms of Use)
File: backtrace (163.05 KB, text/plain)
2013-03-31 14:30 UTC, sm301
no flags Details
File: cgroup (127 bytes, text/plain)
2013-03-31 14:30 UTC, sm301
no flags Details
File: dso_list (7.47 KB, text/plain)
2013-03-31 14:30 UTC, sm301
no flags Details
File: environ (2.06 KB, text/plain)
2013-03-31 14:30 UTC, sm301
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-31 14:30 UTC, sm301
no flags Details
File: maps (25.66 KB, text/plain)
2013-03-31 14:30 UTC, sm301
no flags Details
File: open_fds (284 bytes, text/plain)
2013-03-31 14:30 UTC, sm301
no flags Details
File: proc_pid_status (764 bytes, text/plain)
2013-03-31 14:30 UTC, sm301
no flags Details

Description sm301 2013-03-31 14:29:59 UTC
Version-Release number of selected component:
gparted-0.12.0-4.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
core_backtrace: 
crash_function: ped_assert
executable:     /usr/sbin/gpartedbin
kernel:         3.8.1-201.fc18.i686
uid:            0
var_log_messages: Mar  6 22:13:54 North-Western abrt[2208]: Saved core dump of pid 2135 (/usr/sbin/gpartedbin) to /var/spool/abrt/ccpp-2013-03-06-22:13:54-2135 (14393344 bytes)

Truncated backtrace:
Thread no. 1 (7 frames)
 #3 ped_assert at debug.c:111
 #4 ped_partition_set_system at disk.c:1431
 #5 GParted::GParted_Core::set_partition_type at GParted_Core.cc:2651
 #6 GParted::GParted_Core::create at GParted_Core.cc:1531
 #7 GParted::GParted_Core::apply_operation_to_disk at GParted_Core.cc:584
 #8 emit at /usr/include/sigc++-2.0/sigc++/signal.h:917
 #10 GParted::Dialog_Progress::static_pthread_apply_operation at Dialog_Progress.cc:308

Comment 1 sm301 2013-03-31 14:30:03 UTC
Created attachment 729939 [details]
File: backtrace

Comment 2 sm301 2013-03-31 14:30:05 UTC
Created attachment 729940 [details]
File: cgroup

Comment 3 sm301 2013-03-31 14:30:08 UTC
Created attachment 729941 [details]
File: dso_list

Comment 4 sm301 2013-03-31 14:30:11 UTC
Created attachment 729942 [details]
File: environ

Comment 5 sm301 2013-03-31 14:30:13 UTC
Created attachment 729943 [details]
File: limits

Comment 6 sm301 2013-03-31 14:30:16 UTC
Created attachment 729944 [details]
File: maps

Comment 7 sm301 2013-03-31 14:30:19 UTC
Created attachment 729945 [details]
File: open_fds

Comment 8 sm301 2013-03-31 14:30:21 UTC
Created attachment 729946 [details]
File: proc_pid_status

Comment 9 Fedora Update System 2013-06-11 16:36:53 UTC
gparted-0.16.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc18

Comment 10 Fedora Update System 2013-06-11 16:37:50 UTC
gparted-0.16.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc19

Comment 11 Fedora Update System 2013-06-11 16:38:52 UTC
gparted-0.16.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gparted-0.16.1-1.fc17

Comment 12 Fedora Update System 2013-06-12 02:37:38 UTC
Package gparted-0.16.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.16.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10621/gparted-0.16.1-2.fc18
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-07-20 09:43:07 UTC
gparted-0.16.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-07-20 09:48:45 UTC
gparted-0.16.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-07-20 09:49:33 UTC
gparted-0.16.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.